<?php

namespace KupShop\KupShopBundle\Admin\Tabs;

use KupShop\AdminBundle\Admin\WindowTab;

class MonitoringSettingsTab extends WindowTab
{
    protected $title = 'flapMonitoring';

    protected $template = 'tab/monitoringSettingsTab.tpl';

    public static function getTypes(): array
    {
        return [
            'settings' => 1,
        ];
    }

    public function getLabel()
    {
        return 'Monitoring';
    }

    public function isOnlyForWpjAdmin()
    {
        return true;
    }

    public function getVars($smarty_tpl_vars)
    {
        return [
            'blackfire_sdk' => class_exists(\Blackfire\Client::class),
        ];
    }
}
